ArcGIS for INSPIRE Server Extension – don’t forget your Python!

Some customers have found that when installing the ArcGIS for INSPIRE v10.1 Server Extension, they receive an error message like the following: "CheckToken.py had errors!. Error in RunPyScript: Illegal characters in path."

The good news is that there should be a simple solution to this, which is to install ArcGIS Desktop 10.1 on the ArcGIS Server machine (assuming Desktop is not already installed). During installation, choose the Python 32-Bit option. It should then be possible to install the Inspire Server Extension. It is important to make sure that your ArcGIS Desktop Service Pack level matches that of your ArcGIS Server installation (eg. if you have ArcGIS Server SP1 installed, you will need to install ArcGIS Desktop 10.1 SP1).

The explanation for this is that ArcGIS for INSPIRE requires the 32-Bit Python libraries, which are installed as part of ArcGIS for Desktop (but not included in the Server Extension installation itself). This is documented in the System Requirements for ArcGIS for INSPIRE.